<?php
declare(strict_types=1);

namespace App\Service;

use App\Entity\QRCode\QRCode;

interface QRCodeGeneratorInterface
{
    /**
     * Generates QR code from entity
     * @param QRCode $entity
     * @return string base64 encoded PNG
     */
    public function generateQRCodeFromEntity(QRCode $entity): string;
}
